package com.ruoyi.syzy.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 霍兰德测评记录对象 b_busi_holland_records
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("霍兰德测评记录")
public class BBusiHollandRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    @ApiModelProperty("用户编码")
    private String customerCode;

    /** 测评批次 */
    @Excel(name = "测评批次")
    @ApiModelProperty("测评批次")
    private String code;

    /** 理想职业1 */
    @Excel(name = "理想职业1")
    @ApiModelProperty("理想职业1")
    private String wants1;

    /** 理想职业2 */
    @Excel(name = "理想职业2")
    @ApiModelProperty("理想职业2")
    private String wants2;

    /** 理想职业3 */
    @Excel(name = "理想职业3")
    @ApiModelProperty("理想职业3")
    private String wants3;

    /** 测评代码 */
    @Excel(name = "测评代码")
    @ApiModelProperty("测评代码")
    private String ruleCode;

    /** 现实型分值 */
    @Excel(name = "现实型分值")
    @ApiModelProperty("现实型分值")
    private Integer scorer;

    /** 艺术型分值 */
    @Excel(name = "艺术型分值")
    @ApiModelProperty("艺术型分值")
    private Integer scorei;

    /** 调查型分值 */
    @Excel(name = "调查型分值")
    @ApiModelProperty("调查型分值")
    private Integer scorea;

    /** 社会型分值 */
    @Excel(name = "社会型分值")
    @ApiModelProperty("社会型分值")
    private Integer scores;

    /** 企业型分值 */
    @Excel(name = "企业型分值")
    @ApiModelProperty("企业型分值")
    private Integer scoree;

    /** 常规型分值 */
    @Excel(name = "常规型分值")
    @ApiModelProperty("常规型分值")
    private Integer scorec;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("测评规则")
    private BBusiHollandRules rule;

    @ApiModelProperty("测评记录详情")
    private List<BBusiHollandRecordDetails> details;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setWants1(String wants1) {
        this.wants1 = wants1;
    }

    public String getWants1() {
        return wants1;
    }

    public void setWants2(String wants2) {
        this.wants2 = wants2;
    }

    public String getWants2() {
        return wants2;
    }

    public void setWants3(String wants3) {
        this.wants3 = wants3;
    }

    public String getWants3() {
        return wants3;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setScorer(Integer scorer) {
        this.scorer = scorer;
    }

    public Integer getScorer() {
        return scorer;
    }

    public void setScorei(Integer scorei) {
        this.scorei = scorei;
    }

    public Integer getScorei() {
        return scorei;
    }

    public void setScorea(Integer scorea) {
        this.scorea = scorea;
    }

    public Integer getScorea() {
        return scorea;
    }

    public void setScores(Integer scores) {
        this.scores = scores;
    }

    public Integer getScores() {
        return scores;
    }

    public void setScoree(Integer scoree) {
        this.scoree = scoree;
    }

    public Integer getScoree() {
        return scoree;
    }

    public void setScorec(Integer scorec) {
        this.scorec = scorec;
    }

    public Integer getScorec() {
        return scorec;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public BBusiHollandRules getRule() {
        return rule;
    }

    public void setRule(BBusiHollandRules rule) {
        this.rule = rule;
    }

    public List<BBusiHollandRecordDetails> getDetails() {
        return details;
    }

    public void setDetails(List<BBusiHollandRecordDetails> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("code", getCode()).append("wants1", getWants1()).append("wants2", getWants2()).append("wants3", getWants3())
            .append("ruleCode", getRuleCode()).append("scorer", getScorer()).append("scorei", getScorei()).append("scorea", getScorea())
            .append("scores", getScores()).append("scoree", getScoree()).append("scorec", getScorec()).append("createTime", getCreateTime())
            .append("status", getStatus()).toString();
    }
}
